Subject: bug#391: which bug messages should be sent where?

From: Jason Rumney <[email-masked]>
Date: Wed, 11 Jun 2008 22:42:36 +0100

Joe Wells wrote:

> I believe the purpose of the bug-gnu-emacs mailing list should now be
> this:
>
>   The bug-gnu-emacs mailing list is (1) where people can send bug
>   reports and (2) where people who want to help can watch for bug
>   reports and the discussion of bug reports.

I agree, and the messages sent to bug-gnu-emacs should essentially be 
the same messages as before (ie no control messages, and done messages 
should be the raw message as the developer sent it, not prepended with 
standard messages and the original bug report.

The way I think the mail forwarding should work is this:

bug-gnu-emacs incoming mail address + numbered addresses for existing bugs
            |
            V
      bug tracker
            |
            V
bug-gnu-emacs mailing list and newsgroup

emacs-pretest-bug incoming mail address + numbered addresses for 
existing bugs
            |
            V
      bug tracker
            |
            V
  emacs-devel mailing list

control email address
       |
       V
   bug tracker
       |
       V
emacs-bug-tracker mailing list
(could also receive all the above messages)

The way it currently seems to work is:

bug-gnu-emacs incoming mail address
        |             |
        V             |
   bug tracker        |
        |             |
        V             V
bug-gnu-emacs mailing list and newsgroup

emacs-pretest-bug incoming mail address
        |             |
        V             |
   bug tracker        V
        |        emacs-devel mailing list
        V           
bug-gnu-emacs mailing list and newsgroup

control incoming mail address + numbered addresses for existing bugs
        |
        V
    bug tracker
        |
        V
bug-gnu-emacs mailing list and newsgroup

Which give us duplicates on the lists, and results in pretest bugs and 
control messages going out to the general bug list.